﻿import { NgModule } from '@angular/core';
import { JsonpModule, XHRBackend, RequestOptions } from '@angular/http';
import { HttpClientModule, HttpClient } from '@angular/common/http';

import { NextSessionService } from './session/next-session.service';
import { PermissionCheckerService } from './auth/permission-checker.service';
import { FeatureCheckerService } from './features/feature-checker.service';
import { LocalizationService } from './localization/localization.service';
import { SettingService } from './settings/setting.service';
import { NotifyService } from './notify/notify.service';
import { MessageService } from './message/message.service';
import { LogService } from './log/log.service';
import { NextMultiTenancyService } from './multi-tenancy/next-multi-tenancy.service';
import { NextHttpConfiguration } from './nextHttpInterceptor';
import { NextUserConfigurationService } from './next-user-configuration.service';
import { TokenService } from './auth/token.service';
import { UtilsService } from './utils/utils.service';

@NgModule({
    imports: [
        HttpClientModule,
        JsonpModule
    ],

    declarations: [
    ],

    providers: [
        NextSessionService,
        PermissionCheckerService,
        FeatureCheckerService,
        LocalizationService,
        SettingService,
        NotifyService,
        MessageService,
        LogService,
        NextMultiTenancyService,
        NextUserConfigurationService,
        NextHttpConfiguration,
        TokenService,
        UtilsService
    ]
})
export class NextModule { }